package jingdong

import (
	"context"
	"github.com/gogf/gf/container/garray"
	"github.com/gogf/gf/encoding/gjson"
)

type msgJD struct {
}

var Msg = msgJD{}

type GetPushMessages struct {
	*CommonRes
	Result []struct {
		Id     int         `json:"id"`
		Type   int         `json:"type"`
		Time   string      `json:"time"`
		Result interface{} `json:"result"`
	} `json:"result"`
}

type DelPushMessages struct {
	*CommonRes
	Result bool `json:"result"`
}

func (msgJD) GetPushMessages(ctx context.Context, id *garray.Array) (res *GetPushMessages, err error) {
	method := "message/get"
	param := map[string]string{
		"type": id.Join(","),
	}
	result, err := server.requestApi(ctx, method, param)
	if err != nil {
		return
	}
	err = gjson.New(result).Scan(&res)
	return
}

func (msgJD) DeletePushMessage(ctx context.Context, id *garray.Array) (res *DelPushMessages, err error) {
	method := "message/del"
	param := map[string]string{
		"id": id.Join(","),
	}
	result, err := server.requestApi(ctx, method, param)
	if err != nil {
		return
	}
	err = gjson.New(result).Scan(&res)
	return
}
